load_midi(3)

NAME
load_midi - Loads a MIDI file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

MIDI *load_midi(const char *filename);

DESCRIPTION
Loads a MIDI file (handles both format 0 and format 1). Example:
   MIDI *music;
   music = load_midi("backmus.mid");
   if (!music)
      abort_on_error("Couldn't load background music!");

RETURN VALUE
Returns a pointer to a MIDI structure, or NULL on error. Remember to free this MIDI file later to avoid memory leaks.

SEE ALSO
destroy_midi(3), play_midi(3), get_midi_length(3), exmidi(3)